All Apps and Add-ons

Functionality of a Splunk app & add-on with differing version compatibilities?

zyun
Explorer

I'm currently trying to understand how an app and add-on would interact if the app's version is out of date, but the add-on is not.

Example:
The Splunk App for Unix & Linux only supports Splunk Enterprise compatibility up to version 7.2.

The Splunk Technology Add-on for Unix & Linux supports Splunk Enterprise compatibility up to version 8.0.

The Nix Add-on description states that it works in tandem with the Nix App. If we were on Splunk Enterprise 7.3, where the Nix App is out of compatibility but the Nix Add-on is not, would the add-on continue to work as expected? Or do we have to stay on the minimum version, 7.2, for these components to work?

1 Solution

richgalloway
SplunkTrust
SplunkTrust

App and add-on compatibility with Splunk versions is not a strict as you might think. If a version is not listed compatible then it's probably because the add-on has not yet been test or splunkbase has not yet been updated. It's highly likely the app and add-on will continue to function as before, but verify that on a test system before relying on it in production.

---
If this reply helps you, an upvote would be appreciated.

View solution in original post

richgalloway
SplunkTrust
SplunkTrust

App and add-on compatibility with Splunk versions is not a strict as you might think. If a version is not listed compatible then it's probably because the add-on has not yet been test or splunkbase has not yet been updated. It's highly likely the app and add-on will continue to function as before, but verify that on a test system before relying on it in production.

---
If this reply helps you, an upvote would be appreciated.

View solution in original post

.conf21 Now Fully Virtual!
Register for FREE Today!

We've made .conf21 totally virtual and totally FREE! Our completely online experience will run from 10/19 through 10/20 with some additional events, too!